Bug 767734 - Clicking on a tag on a bundle throws an error in "Reports"
Clicking on a tag on a bundle throws an error in "Reports"
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
Unspecified Unspecified
high Severity urgent (vote)
: ---
: JON 3.0.1
Assigned To: Simeon Pinder
Mike Foley
Depends On:
Blocks: jon30-sprint10/rhq43-sprint10
  Show dependency treegraph
Reported: 2011-12-14 13:50 EST by Nabeel Saad
Modified: 2015-11-01 19:56 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-03 11:04:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Bundle GUI showing tagging capabilities (165.63 KB, image/png)
2011-12-19 06:49 EST, Nabeel Saad
no flags Details

  None (edit)
Description Nabeel Saad 2011-12-14 13:50:22 EST
Description of problem:
When you click on the name of a tag, trying to see all bundles associated with that tag, you get sent to the "Reports" tab, but a Global Caught Exception is thrown.

Version-Release number of selected component (if applicable):
JON 3.0.0 GA

How reproducible:

Steps to Reproduce:
1. Log into JON
2. Create a bundle (anything)
3. Add a tag, myTag
4. Click on the text, myTag
Actual results:
In the Reports tab you get a globally caught exception

Expected results:
Not really sure, but I guess I'd expect to see in the Reports tab a list of all the bundles relating to that tag.

Additional info:

Here is the error from the message centre:

Message :	
Globally uncaught exception
Severity :	
Time :	
Wednesday, December 14, 2011 6:45:49 PM Etc/GMT
Detail :	

java.lang.IllegalStateException:Invalid page: Tags
Invalid page: Tags
   at Unknown.java_lang_IllegalStateException_$IllegalStateException__Ljava_lang_IllegalStateException_2Ljava_lang_String_2Ljava_lang_IllegalStateException_2(Unknown source:0)
   at Unknown.org_rhq_enterprise_gui_coregui_client_components_view_AbstractSectionedLeftNavigationView_$renderContentView__Lorg_rhq_enterprise_gui_coregui_client_components_view_AbstractSectionedLeftNavigationView_2Lorg_rhq_enterprise_gui_coregui_client_ViewPath_2V(Unknown source:0)
   at Unknown.org_rhq_enterprise_gui_coregui_client_components_view_AbstractSectionedLeftNavigationView_renderView__Lorg_rhq_enterprise_gui_coregui_client_ViewPath_2V(Unknown source:0)
   at Unknown.org_rhq_enterprise_gui_coregui_client_CoreGUI$RootCanvas$1_$run__Lorg_rhq_enterprise_gui_coregui_client_CoreGUI$RootCanvas$1_2V(Unknown source:0)
   at Unknown.org_rhq_enterprise_gui_coregui_client_CoreGUI$RootCanvas$1_run__V(Unknown source:0)
   at Unknown.com_google_gwt_user_client_Timer_fire__V(Unknown source:0)
   at Unknown.anonymous(Unknown source:0)
   at Unknown.com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2(Unknown source:0)
   at Unknown.anonymous(Unknown source:0)
   at Unknown.anonymous(Unknown source:0)
Comment 3 Simeon Pinder 2011-12-16 10:12:34 EST
That's a bug.  The bug is being able to do anything Tag related with JON 3.0.  See here for more details on Tags removal: https://bugzilla.redhat.com/show_bug.cgi?id=731864.  

Nabeel can you attach a screenshot of the UI that allows you to add tagging for bundles?
Comment 4 Nabeel Saad 2011-12-19 06:49:08 EST
Created attachment 548555 [details]
Bundle GUI showing tagging capabilities

Adding a screenshot of the GUI features that allow for tagging. Notice I've already added some tags, I can either click on the existing tag names which throws the error mentioned in the bug or I can create new tags by clicking the green plus button
Comment 5 Simeon Pinder 2011-12-24 16:32:56 EST
This is fixed in master with commit 894c2ec182.  This cannot be verified in master but must be verified in i)release_jon3.x branch AND ii) any patch branch to JON 3.0.0. 

Leaving this ON_DEV until this is pushed to a branch and we have build artifacts that it can be tested with.
Comment 6 Simeon Pinder 2012-01-25 11:12:27 EST
This has been cherry-picked to release/jon3.0.x with commit a449c643 and will be available in JON 3.0.1.GA RC 2. 

Leaving this to ON_DEV until new binary available to test.
Comment 7 Simeon Pinder 2012-01-30 20:01:37 EST
ccrouch-bzs> spinder: wrt https://bugzilla.redhat.com/show_bug.cgi?id=767734, no one is going to lose functionality here right?
<ccrouch-bzs> compared to 3.0.0?
<spinder> looking...
<ccrouch-bzs> no one could have been using tagging usefully in 3.0.0 correct?
* btison has quit (Quit: Leaving)
<spinder> ccrouch-bzs: right. They shouldn't have been able to create any tags and only a left over tagging widget allowed for that with respect to 3.0.0. 
<ccrouch-bzs> right, but if someone did create tags using this widget
<ccrouch-bzs> could they do anything useful with them?
<spinder> ccrouch-bzs: I'll have to revisit but I don't think so.  Tags are for organizing and you would be able to add tags only for bundles, and any of the Tag organization widgets/reports were already disabled. 
<ccrouch-bzs> ok, if you could double check that would be great
<spinder> ccrouch-bzs: ok.

Verified that users will not be loosing any functionality vs. 3.0.0.GA.  To get meaningful use from tags you need access to the Reports>Subsystems>Tags editor which is disabled for 3.0.0.GA.

When you add a 'Tag' to resource, bundle, bundle version/destination instance you will still need to use the Reports>Subsystems>Tags editor to be able to locate the tagged instances.  Clicking on the tags from a Tag Cloud portlet also returns you to the same Reports>Subsystems>Tags editor as well to be able to do anything useful.

Before this was fixed you could create tags for bundle components but they will always lead you to and editor that was disabled/missing.  This bug removes the remnants of the Tag UI from bundles as well to prevent even these erroneous tags from being created.
Comment 8 Charles Crouch 2012-01-30 23:51:44 EST
Switching to using MODIFIED for fixes that are in the appropriate but are waiting to get into a build.
Comment 9 Simeon Pinder 2012-02-02 14:26:42 EST
Moving to ON_QA as 3.0.1 RC2 is available from here:

Comment 10 Simeon Pinder 2012-02-03 10:36:21 EST
Verification steps:
*It should not possible to do any "Tags" modification/creation/viewing/etc. with the RC2 and greater bits.
i)Will need to add a bundle to the JON server and verify that you're no longer able to add "Tags" to any bundle destinations/versions/*.

The absence of the "Tags" from the JON release is the goal.
Comment 11 Heiko W. Rupp 2013-09-03 11:04:14 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.